#! /usr/bin/env python3.10

import os

def show_all_files_directory(dir_path = str, search_endung = False, search_string = False):
    li_all = []
    for root_folder, dirs, files in os.walk(dir_path, topdown=False):       
        for name in files: 
            FullPATH = str(os.path.join(root_folder, name))
            if not search_endung is False:
                if FullPATH.endswith(search_endung):
                    li_all.append(FullPATH)
            elif not search_string is False:
                if not FullPATH.find(search_string) ==  -1:
                     li_all.append(FullPATH)
            else:
                li_all.append(FullPATH)        
    return li_all
       









def main():
#    test = show_all_files_directory(dir_path=os.sep + "home" + os.sep + "jonnybravo" + os.sep + "Downloads", search_string="linux")
#    for i in test:
#        print(i)
    print(os.get_exec_path())
if __name__ == "__main__":
    main()